Grants, vesting & distributions

Create User Document

Creates an OrgFile and Document owned by the caller's own roleInOrg from an uploaded fileKey.

POSThttps://api.toku.com/tga/create-user-document

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/create-user-document' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "documentType": "WARRANT_AGREEMENT",
  "fileKey": "string"
}'
200 response
{
  "supersededAt": "string",
  "documentID": "string",
  "roleInOrgID": "string",
  "investorEntityID": "string",
  "documentName": "string",
  "documentDescription": "string",
  "documentType": "WARRANT_AGREEMENT",
  "fileID": "string",
  "signedAt": "string",
  "archivedAt": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "deletedAt": "string",
  "grantID": "string",
  "warrantID": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "visibleToRole": true,
  "visibleToClientAdmin": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

documentTypestringrequired

Available options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER

fileKeystringrequired

Response

200Successful response
supersededAtstring | nullrequired
documentIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
documentNamestringrequired
documentDescriptionstring | nullrequired
documentTypestringrequired

Available options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER

fileIDstringrequired
signedAtstring | nullrequired
archivedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
grantIDstring | nullrequired
warrantIDstring | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
visibleToRolebooleanrequired
visibleToClientAdminbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits